camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Freeman Fang <>
Subject Re: [VOTE] Release Camel 2.8.3
Date Wed, 16 Nov 2011 06:58:11 GMT
Hi Willem,

Thanks very much.
but I'm really sorry to say I have to -1, in the camel- 
features.xml[1], there're some version like ${scriptengines-version}  
and ${rhino-bundle-version} not get filtered. Those actually were  
introduced by me, I commit on trunk and merge back to 2.8.x branch,  
but I didn't realize that trunk use scriptengines.version but 2.8.x  
use scriptengines-version, one use "." separator but another use "-".   
Anyway, this is no doubt my bad, I should have double check before I  

This problem can cause Servicemix fail when build distribution kit as  
it will use add-features-to-repo karaf-feature plugin and the invalid  
bundle here break the build
I just commit a quick fix for it.

Btw, I've hacked camel-features.xml and build Servicemix 4.4 kit  
against Camel 2.8.3 and all camel related examples are pass.

Sorry again.

Best Regards
On 2011-11-16, at 上午9:57, Willem Jiang wrote:

> This is a vote to release Camel 2.8.3.  2.8.3 contains fixes about  
> 60 JIRA issues that would be good to get into the hands of Camel  
> users.
> Please find the staging repo here:
> The tarballs are here
> camel/2.8.3/
> Release notes:
> Tag:
> There is a known issue that camel-itest-osgi tests are failed due to  
> the change of CAMEL-4671, and it could be fixed by updating the  
> in the camel-itest-osgi module.
> The Karaf user need to install the jaxb,activation,stax API bundle,  
> if these api packages are not exported from the JRE before  
> installing apache-camel feature.
> Please review, test and vote to approve this release binary. Your  
> vote counts!
> [ ] +1 Release the binary as Apache Camel 2.8.2
> [ ] -1 Don't release (provide specific comments)
> Willem

Freeman Fang

Twitter: freemanfang

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message